Bug 809323 - SELinux is preventing /usr/sbin/sshd from using the 'signal' accesses on a process.
SELinux is preventing /usr/sbin/sshd from using the 'signal' accesses on a pr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:2720d33cd4bfaed95c553d7e870...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 01:58 EDT by Mikhail
Modified: 2012-04-18 18:50 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-114.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 18:50:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2012-04-03 01:58:45 EDT
libreport version: 2.0.10
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-8.fc17.i686.PAE
time:           Вт. 03 апр. 2012 11:58:33

description:
:SELinux is preventing /usr/sbin/sshd from using the 'signal' accesses on a process.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that sshd should be allowed signal access on processes labeled chroot_user_t by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep sshd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:sshd_t:s0-s0:c0.c1023
:Target Context                system_u:system_r:chroot_user_t:s0-s0:c0.c1023
:Target Objects                 [ process ]
:Source                        sshd
:Source Path                   /usr/sbin/sshd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           openssh-server-5.9p1-20.fc17.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-106.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-5.fc17.i686.PAE
:                              #1 SMP Fri Mar 23 20:31:19 UTC 2012 i686 i686
:Alert Count                   4
:First Seen                    Пн. 19 марта 2012 19:49:25
:Last Seen                     Чт. 29 марта 2012 13:32:58
:Local ID                      101dcee3-b972-484b-abdd-89d9d9dfe6f0
:
:Raw Audit Messages
:type=AVC msg=audit(1333006378.216:165): avc:  denied  { signal } for  pid=1767 comm="sshd" scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:chroot_user_t:s0-s0:c0.c1023 tclass=process
:
:
:type=SYSCALL msg=audit(1333006378.216:165): arch=i386 syscall=kill success=no exit=EACCES a0=6eb a1=1 a2=b772f728 a3=b8ece740 items=0 ppid=1762 pid=1767 auid=1001 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=1001 fsgid=0 tty=(none) ses=3 comm=sshd exe=/usr/sbin/sshd subj=system_u:system_r:sshd_t:s0-s0:c0.c1023 key=(null)
:
:Hash: sshd,sshd_t,chroot_user_t,process,signal
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Petr Lautrbach 2012-04-04 07:41:47 EDT
Please provide your sshd configuration:

# /usr/sbin/sshd -T
Comment 2 Daniel Walsh 2012-04-05 12:10:06 EDT
We should definitely allow this.  sshd should be allowed to kill the chroot_user_t process.

Fixed in selinux-policy-3.10.0-111.fc17.noarch
Comment 3 Fedora Update System 2012-04-13 04:40:35 EDT
selinux-policy-3.10.0-114.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-114.fc17
Comment 4 Fedora Update System 2012-04-13 21:45:22 EDT
Package selinux-policy-3.10.0-114.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-114.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5870/selinux-policy-3.10.0-114.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-04-18 18:50:15 EDT
selinux-policy-3.10.0-114.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.